(text "{%- import \"components.html\" as components -%} {%- import \"macros.html\" as macros -%}")
(text "{% for post in list %}
        {% if post[2].read_access == \"Everybody\" -%}
            {% if post[0].context.repost and post[0].context.repost.reposting -%}
                {{ components::repost(repost=post[3], post=post[0], owner=post[1], secondary=true, community=post[2], show_community=true) }}
            {% else %}
                {{ components::post(post=post[0], owner=post[1], question=post[4], secondary=true, community=post[2], poll=post[5]) }}
            {%- endif %}
        {%- endif %}
    {% endfor %}")
(datalist
    ("ui_ident" "list_posts_{{ page }}")
    (text "{% for post in list -%}")
    (option ("value" "{{ post[0].id }}"))
    (text "{%- endfor %}"))
(text "{% if list|length == 0 -%}")
(div
    ("class" "card lowered green flex justify-between items-center gap-2")
    (div
        ("class" "flex items-center gap-2")
        (text "{{ icon \"shell\" }}")
        (span
            (text "That's a wrap!<!-- observer_disconnect_{{ random_cache_breaker }} -->")))
    (a
        ("class" "button")
        ("href" "?page=0")
        (icon (text "arrow-up"))
        (str (text "chats:label.go_back"))))
(text "{%- endif %}")
